import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { RouterModule } from '@angular/router';

import { FlexLayoutModule } from '@angular/flex-layout';

import { MatIconModule } from '@angular/material/icon';
import { MatTabsModule } from '@angular/material/tabs';
import { MatToolbarModule } from '@angular/material/toolbar';

import { UiModule } from '@ucap/ng-ui';

import { COMPONENTS } from './components';
import { DIALOGS } from './dialogs';

@NgModule({
  imports: [
    CommonModule,

    RouterModule,

    FlexLayoutModule,

    MatIconModule,
    MatTabsModule,
    MatToolbarModule,

    UiModule
  ],
  exports: [...COMPONENTS, ...DIALOGS],
  declarations: [...COMPONENTS, ...DIALOGS],
  entryComponents: [...DIALOGS]
})
export class AppLayoutsModule {}
